Get device config history
Tested
User Role Permissions#
The following table shows which user roles are allowed to send requests using this API endpoint.| Role | Permission |
|---|
| Partner | |
| Partner View | |
| Custom Partner | |
| Fleet Manager | |
| Group Manager | |
| User | |
| Custom User | |
Request Code Samples
curl --location 'https://fleet.roscolive.com/api/v1.0/devices//config_history?start_ts=undefined&end_ts=undefined'
Responses
application/json
{
"meta": {
"code": 200
},
"response": [
{
"asset_id": 6172,
"device_id": 4116263942,
"id": 2,
"profile_id": 13029,
"profile_name": "ADASVideoCH3",
"timestamp": "2025-01-02 00:00:00",
"user_email": "cron-system-admin@test.com",
"user_id": 1136,
"user_name": "Services Cron"
},
{
"asset_id": 6173,
"device_id": 4116263942,
"id": 1,
"profile_id": 0,
"profile_name": "Manual",
"timestamp": "2025-01-01 00:00:00",
"user_email": "system_admin@test.com",
"user_id": 534,
"user_name": "system admin"
}
],
"result": "OK"
}
Modified at 2026-06-22 14:20:36